#
# spec file for package python-aiosignal
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-aiosignal
Version:        1.4.0
Release:        1.1
Summary:        a list of registered asynchronous callbacks
License:        Apache-2.0
URL:            https://github.com/aio-libs/aiosignal
Source:         https://files.pythonhosted.org/packages/source/a/aiosignal/aiosignal-%{version}.tar.gz
BuildRequires:  %{python_module base >= 3.9}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-frozenlist >= 1.1.0
%if 0%{?python_version_nodots} < 313
Requires:       python-typing_extensions >= 4.4
%endif
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module frozenlist >= 1.1.0}
BuildRequires:  %{python_module pytest-asyncio}
BuildRequires:  %{python_module pytest-cov}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module typing_extensions >= 4.4}
# /SECTION
%python_subpackages

%description
A project to manage callbacks in asyncio projects.
Signal is a list of registered asynchronous callbacks.

%prep
%setup -q -n aiosignal-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc CHANGES.rst README.rst
%license LICENSE
%{python_sitelib}/aiosignal
%{python_sitelib}/aiosignal-%{version}.dist-info

%changelog
* Thu Jul 10 2025 Steve Kowalik <steven.kowalik@suse.com>
- Upgrade to 1.4.0:
  * Added decorator functionality to Signal as a convenient way to add a
    callback
  * Improved type safety by allowing callback parameters to be type checked
    (typing-extensions is now required for Python <3.13). Parameters for a
    Signal callback should now be defined like Signal[int, str]
* Fri Jun 13 2025 Steve Kowalik <steven.kowalik@suse.com>
- Switch to pyproject macros.
* Tue Jan 21 2025 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Update to 1.3.2
  * Dropped Python 3.7 support. (#413)
  * Dropped Python 3.8 support. (#645)
  * Remove redundant wheel dep from pyproject.toml. (#362)
* Fri May  5 2023 Daniel Garcia <daniel.garcia@suse.com>
- Update to 1.3.1:
  * Removed stray quote and comma from setup.cfg preventing PyPI from
    accepting a release. (#361)
- 1.3.0:
  * Switched to declarative package setup. #267
  * Added support for Python 3.11. #360
  * Dropped Python 3.6 support. #267
* Fri Apr 21 2023 Dirk Müller <dmueller@suse.com>
- add sle15_python_module_pythons (jsc#PED-68)
* Thu Apr 13 2023 Matej Cepl <mcepl@suse.com>
- Make calling of %%{sle15modernpython} optional.
* Mon Dec 20 2021 Matej Cepl <mcepl@suse.com>
- Add missing test dependency pytest-asyncio
* Sat Dec 11 2021 Ben Greiner <code@bnavigator.de>
- initial specfile for version 1.2.0
- required by aiohttp 3.8
